/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'systemid',
          prop: 'system_id',
          dataType: 'PICKUP',
        },
        {
          name: 'viewname',
          prop: 'name',
          dataType: 'TEXT',
        },
        {
          name: 'entityid',
          prop: 'entity_id',
          dataType: 'PICKUP',
        },
        {
          name: 'appid',
          prop: 'app_id',
          dataType: 'PICKUP',
        },
        {
          name: 'entityname',
          prop: 'entity_name',
          dataType: 'PICKUPTEXT',
        },
        {
          name: 'viewpath',
          prop: 'path',
          dataType: 'TEXT',
        },
        {
          name: 'srfmajortext',
          prop: 'name',
          dataType: 'TEXT',
        },
        {
          name: 'srfdataaccaction',
          prop: 'id',
          dataType: 'TEXT',
        },
        {
          name: 'srfkey',
          prop: 'id',
          dataType: 'TEXT',
          isEditable:true
        },
        {
          name: 'dstview',
          prop: 'id',
        },
      {
        name: 'n_viewname_like',
        prop: 'n_viewname_like',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_viewpath_like',
        prop: 'n_viewpath_like',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_entityname_like',
        prop: 'n_entityname_like',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_appid_eq',
        prop: 'n_appid_eq',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_systemid_eq',
        prop: 'n_systemid_eq',
        dataType: 'QUERYPARAM'
      },

        {
          name:'size',
          prop:'size',
          dataType: 'QUERYPARAM'
        },
        {
          name:'query',
          prop:'query',
          dataType: 'QUERYPARAM'
        },
        {
          name:'filter',
          prop:'filter',
          dataType: 'QUERYPARAM'
        },
        {
          name:'page',
          prop:'page',
          dataType: 'QUERYPARAM'
        },
        {
          name:'sort',
          prop:'sort',
          dataType: 'QUERYPARAM'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata',
          dataType: 'QUERYPARAM'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}